/******************************************************************************
 *
 * Copyright (c) 1998,99 by Mindbright Technology AB, Stockholm, Sweden.
 *                 www.mindbright.se, info@mindbright.se
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *****************************************************************************
 * $Author: mats $
 * $Date: 1999/01/10 15:15:37 $
 * $Name: rel0-97 $
 *****************************************************************************/
package mindbright.ssh;

import java.util.Random;
import java.io.IOException;

public class SSHFtpPlugin extends SSHProtocolPlugin {

  public void initiate(SSHClient client) {
    Random rnd = new Random();
    int rndval;
    while((rndval = (rnd.nextInt() & 0xffff)) < 1024)
      ;

    client.delRemotePortForward(-1);

    SSHFtpTunnel.TUNNEL_FIRST_PORT = rndval;
    for(int i = 0; i < SSHFtpTunnel.MAX_REMOTE_LISTEN; i++) {
      client.addRemotePortForward(SSHFtpTunnel.TUNNEL_FIRST_PORT + i,
				  SSHFtpTunnel.TUNNEL_NAME + i,
				  SSHFtpTunnel.TUNNEL_FIRST_PORT + i, "ftp");
    }
  }

  public SSHListenChannel localListener(int localPort, String remoteHost, int remotePort,
					SSHChannelController controller) throws IOException {
    return new SSHFtpListenChannel(localPort, remoteHost, remotePort,
				   controller);
  }

}
